org.keycloak.example.oauth

## Class UserData

- java.lang.Object
- - org.keycloak.example.oauth.UserData

- All Implemented Interfaces:
    Serializable

      @SessionScoped
      @Named(value="userData")
      public class UserData
      extends Object
      implements Serializable

  Author:
    Marek Posolda
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAccessToken()`
    `String` | `getAccessTokenAvailabilityMessage()`
    `List<String>` | `getCustomers()`
    `List<String>` | `getProducts()`
    `boolean` | `isHasAccessToken()`
    `boolean` | `isHasCustomers()`
    `boolean` | `isHasProducts()`
    `void` | `setAccessToken(String accessToken)`
    `void` | `setCustomers(List<String> customers)`
    `void` | `setProducts(List<String> products)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserData

          public UserData()

  - ### Method Detail

    - #### getAccessToken

          public String getAccessToken()

    - #### setAccessToken

          public void setAccessToken(String accessToken)

    - #### isHasAccessToken

          public boolean isHasAccessToken()

    - #### getAccessTokenAvailabilityMessage

          public String getAccessTokenAvailabilityMessage()

    - #### getProducts

          public List<String> getProducts()

    - #### setProducts

          public void setProducts(List<String> products)

    - #### isHasProducts

          public boolean isHasProducts()

    - #### getCustomers

          public List<String> getCustomers()

    - #### setCustomers

          public void setCustomers(List<String> customers)

    - #### isHasCustomers

          public boolean isHasCustomers()

Copyright © 2014. All Rights Reserved.